Subject: Re: [GSoC 11 submodule] Status update

From: Phil Hord <[email-masked]>
Date: Mon, 27 Jun 2011 20:29:18 -0400

Hi Fredrik and git-submodule folks,

On 06/27/2011 03:34 PM, Fredrik Gustafsson wrote:
> My fourth task (and the main task of this summer) will start on June 27 and
> will be to move a submodules .git-dir into the super-projects .git-dir.
> Design of this is already done and approved by my mentors.

This frightens me a bit, so I read the wiki link about it.  Thanks for
explaining where I can find this information.

But I'm still confused.

If I understand right, the submodule/.git dirs will be moved into the
top-level at .git/submodule/.git.  The benefit is supposed to be that
this will free up contention on the non-empty submodule directory when
the super-project switches branches.

In the simple case, git warns "unable to rmdir sub: Directory not
empty".  But I can think of other conflicts as well.

My question is, how does this proposed change help the situation?

Phil